<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [hackAnalyzeThreads](./bitburner.ns.hackanalyzethreads.md)

## NS.hackAnalyzeThreads() method

Calculate the decimal number of threads needed to hack a specified amount of money from a target host.

**Signature:**

```typescript
hackAnalyzeThreads(host: string, hackAmount: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of the target server to analyze.


</td></tr>
<tr><td>

hackAmount


</td><td>

number


</td><td>

Amount of money you want to hack from the server.


</td></tr>
</tbody></table>

**Returns:**

number

The number of threads needed to hack the server for hackAmount money.

## Remarks

RAM cost: 1 GB

This function returns the decimal number of script threads you need when running the hack command to steal the specified amount of money from the target server. If hackAmount is less than zero, greater than the amount of money available on the server, or your hacking level is below the required level for the target server, then this function returns -1.

## Example


```js
// Calculate the thread count of a single hack that would take $100k from n00dles
const hackThreads = ns.hackAnalyzeThreads("n00dles", 1e5);

// Launching a script requires an integer thread count. The below would take less than the targeted $100k.
ns.run("noodleHack.js", Math.floor(hackThreads));

```

